summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ebben Aries2020-10-23 18:43:33 +0200
committer Willy Sudiarto Raharjo2020-10-24 03:14:52 +0200
commit788268ccfad334d710523d59a8d24c004468308d (patch)
tree32fdf8942e054bc9de4df227890e1a489194e97d
parent4aac6f8b6688056cb1b43fb87b553469c0bc2208 (diff)
downloadslackbuilds-788268ccfad334d710523d59a8d24c004468308d.tar.gz
development/github-cli: Added (GitHub command line interface)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/github-cli/README5
-rw-r--r--development/github-cli/github-cli.SlackBuild71
-rw-r--r--development/github-cli/github-cli.info10
-rw-r--r--development/github-cli/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/development/github-cli/README b/development/github-cli/README
new file mode 100644
index 0000000000..530e9f73ae
--- /dev/null
+++ b/development/github-cli/README
@@ -0,0 +1,5 @@
+github-cli (GitHub command line interface)
+
+gh is GitHub on the command line. It brings pull requests,
+issues, and other GitHub concepts to the terminal next to where
+you are already working with git and your code.
diff --git a/development/github-cli/github-cli.SlackBuild b/development/github-cli/github-cli.SlackBuild
new file mode 100644
index 0000000000..b3d2fbbab2
--- /dev/null
+++ b/development/github-cli/github-cli.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for GitHub CLI
+
+# Copyright 2020 Ebben Aries
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=github-cli
+DEBNAM=gh
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ ARCH=$( uname -m )
+fi
+
+if [ "$ARCH" = "x86_64" ]; then
+ DEBARCH="amd64"
+else
+ DEBARCH="386"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/${DEBNAM}_${VERSION}_linux_$DEBARCH.deb data.tar.gz | tar xzv
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mv $PKG/usr/share/man $PKG/usr
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/github-cli/github-cli.info b/development/github-cli/github-cli.info
new file mode 100644
index 0000000000..013b756ea6
--- /dev/null
+++ b/development/github-cli/github-cli.info
@@ -0,0 +1,10 @@
+PRGNAM="github-cli"
+VERSION="1.1.0"
+HOMEPAGE="https://cli.github.com/"
+DOWNLOAD="https://github.com/cli/cli/releases/download/v1.1.0/gh_1.1.0_linux_386.deb"
+MD5SUM="28db3207b74436ca6990d25ebda49042"
+DOWNLOAD_x86_64="https://github.com/cli/cli/releases/download/v1.1.0/gh_1.1.0_linux_amd64.deb"
+MD5SUM_x86_64="b70ee79a03ca29f1a1a7b95341e937bc"
+REQUIRES=""
+MAINTAINER="Ebben Aries"
+EMAIL="e@dscp.org"
diff --git a/development/github-cli/slack-desc b/development/github-cli/slack-desc
new file mode 100644
index 0000000000..8fdfdc024c
--- /dev/null
+++ b/development/github-cli/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+github-cli: github-cli (GitHub command line interface)
+github-cli:
+github-cli: gh is GitHub on the command line. It brings pull requests,
+github-cli: issues, and other GitHub concepts to the terminal next to where
+github-cli: you are already working with git and your code.
+github-cli:
+github-cli: Homepage: https://cli.github.com/
+github-cli:
+github-cli:
+github-cli:
+github-cli: